package net.northking.cctp.project.config;

import feign.RequestInterceptor;
import feign.RequestTemplate;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;

/**
 * @Description: TODO
 * @Author: baoxt
 * @@CreateDate: 2023-09-04
 */
@Configuration
public class HzFeignConfig implements RequestInterceptor {

    private static final Logger logger = LoggerFactory.getLogger(HzFeignConfig.class);

    @Autowired
    private SyncParamConfig syncParamConfig;

    public HzFeignConfig() {

    }
    @Override
    public void apply(RequestTemplate requestTemplate) {
        requestTemplate.header("ak",syncParamConfig.getAk());
    }
}
